Bug 1285643 - [fork][userinterface_public_574] Project admin is unable to delete things on web console
[fork][userinterface_public_574] Project admin is unable to delete things on ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: bpeterse
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 02:10 EST by yapei
Modified: 2016-05-12 13:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:12:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yapei 2015-11-26 02:10:07 EST
Description of problem:
When project admin tries to delete resources(clicking the Delete button)on web console, will get error message: <resource type> '<resource name>'' could not be deleted. User "<project admin>" cannot delete deploymentconfigs at the cluster scope

Version-Release number of selected component (if applicable):
fork_ami_openshift3_userinterface_public_5740_134 

How reproducible:
Always

Steps to Reproduce:
1.Login to the server
# oc login --server=https://<host>:8443
2.Create a new project
# oc new-project test
3.Create image streams via CLI
# oc create -f https://raw.githubusercontent.com/openshift/origin/master/examples/image-streams/image-streams-rhel7.json
4.Check image streams via CLI
# oc get is
NAME         DOCKER REPO                                  TAGS                         UPDATED
jenkins      172.30.221.83:5000/yapei-test-1/jenkins      1,latest                     5 hours ago
mongodb      172.30.221.83:5000/yapei-test-1/mongodb      2.6,2.4,latest               5 hours ago
myrubyapp    172.30.221.83:5000/yapei-test-1/myrubyapp    latest                       45 minutes ago
mysql        172.30.221.83:5000/yapei-test-1/mysql        5.6,latest,5.5               5 hours ago
nodejs       172.30.221.83:5000/yapei-test-1/nodejs       0.10,latest                  5 hours ago
perl         172.30.221.83:5000/yapei-test-1/perl         5.20,latest,5.16             5 hours ago
php          172.30.221.83:5000/yapei-test-1/php          5.6,5.5,latest               5 hours ago
postgresql   172.30.221.83:5000/yapei-test-1/postgresql   9.4,9.2,latest               5 hours ago
python       172.30.221.83:5000/yapei-test-1/python       3.4,3.3,latest + 1 more...   5 hours ago
ruby         172.30.221.83:5000/yapei-test-1/ruby         2.2,2.0,latest               5 hours ago
5.Check image streams on web console
6.Try to delete image on web console
7.Try to delete image via CLI
# oc delete is python
imagestream "python" deleted

Actual results:
step6: Got error message when project admin trying to delete resources on web console

Expected results:
step6: Project admin should be able to delete project resources

Additional info:
These resources: buildconfig, deploymentconfig,imagestreams,pod, services are couldn't be deleted
Comment 1 yapei 2015-11-26 03:22:40 EST
We could delete resources successfully on devenv-rhel7_2808
Comment 2 bpeterse 2015-11-30 15:10:38 EST
Fixed, will generate new fork_ami & comment on trello card
Comment 4 yapei 2015-12-01 00:20:04 EST
Will verify when ON_QA

Note You need to log in before you can comment on or make changes to this bug.